Description

In addition to ssh://user@server/project.git (i.e. proper URL), git supports an scp-like syntax user@server:project.git (not a proper
URL).
(see http://git-scm.com/book/en/Git-on-the-Server-The-Protocols#The-SSH-Protocol).

While the first syntax should already work, the second would need special parsing. Should we support this? From my (jmoringe)
perspective, the potential downside would be that repositories would no longer be identified by URIs.

Downstream issue

History
#1 - 09/29/2014 12:29 AM - R. Haschke

I didn't know about the "proper" URL scheme for git. I'm fine with this alternative.

#2 - 09/29/2014 12:36 AM - J. Moringen

I didn't know about the "proper" URL scheme for git. I'm fine with this alternative.

I didn't mean that user@server:project.git is an improper repository location w.r.t. git. I meant that it is not properly interpreted under URL parsing
rules:

>>> urllib.splittype('user@server:project.git')
('user@server', 'project.git')
>>> urllib.splittype('portb:/vol/ni/src/git/sfbVision.git')
('portb', '/vol/ni/src/git/sfbVision.git')

#3 - 10/02/2014 04:42 PM - J. Moringen
- Status changed from Feedback to Closed
